@import "../../../../style/variables";

.deskTop_modal {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 100;
  height: 100vh;
  width: 100vw;
  overflow-x: scroll;
  overflow-y: scroll;
  background: rgba(255, 255, 255, 0);
}
.deskTopLogin_wrapper {
  position: relative;
  top: 60px;
}
.deskTopLogin_wrapper-form {
  display: flex;
  justify-content: flex-end;
}
.login_form {
  padding: 10px;
  border-radius: 5px;
  text-align: center;
  background-color: #143958;
  opacity: 1;
  width: 350px;
  h1 {
    font-size: x-large;
    margin-top: 1em;
  }
  &-btnWrapper {
    width: 100%;
    text-align: right;
    &-exit {
      margin-left: auto;
      background-color: inherit;
    }
  }
  &-inputWrapper {
    width: 100%;
    padding: 0 10px;
    text-align: left;
    &-input {
      width: 100%;
      background-color: inherit;
      border-bottom: solid 1px white;
      height: 40px;
      color: white;
      font-size: 0.725rem;
      margin-bottom: 10px;
    }
  }
  &-btnLogin {
    width: 80%;
    padding: 10px;
    color: white;
    font-size: 0.9rem;
    background-color: #325572;
    height: 40px;
    border-radius: 20px;
    margin: 20px 0;
    &:hover {
      border: solid 1px white;
    }
  }
}
.mobileLoggin {
  background-color: #143958;
  display: flex;
  flex-direction: column;
  justify-content: center;
  position: fixed;
  left: -100%;
  right: 0;
  top: 0;
  bottom: 0;
  width: 100%;
  height: 100vh;
  z-index: 12;
  transition: left 1s;
  opacity: 1;
  section {
    position: absolute;
    padding: 10px;
    width: 100%;
    height: 100%;
    .navigate-button {
      width: 95%;
      margin-left: 2.5%;
      text-align: center;

      margin-top: 60px;
      color: white;
      height: 50px;
      border-radius: 5px;
      border: solid 1px white;
    }
    .mobileLoggin_navContainer {
      display: flex;
      justify-content: space-between;

      padding: 20px;
      width: 100%;
    }
    h1 {
      text-align: center;
      color: white;
      margin: 40px 0;
    }
    form {
      align-items: center;
      .mobileLoggin_btn {
        width: 95%;
        margin-left: 2.5%;
        text-align: center;

        margin-top: 60px;
        color: white;
        height: 50px;
        border-radius: 5px;
        border: solid 1px white;
      }
      .message {
        color: white;
        margin-left: 2.5%;
        margin-top: 10px;
      }
      .message.error {
        color: $RED_COLOR;
      }
    }
  }
}
.mobileLoggin-isActive {
  left: 0;
}
.leftPanel__wrapper-moove-login-form {
  .message {
    padding-left: 10px;
    font-size: 14px;
  }
  .message.error {
    color: $RED_COLOR;
  }
}
